3v4l.org

run code in 300+ PHP versions simultaneously
<?php interface A {} interface B extends A {} interface X { public function foo($a): A; } interface Y extends X { public function foo($a): B; }
Output for 7.4.0 - 7.4.27, 8.0.0 - 8.0.15, 8.1.0 - 8.1.2
Output for 7.1.0 - 7.1.33, 7.2.0 - 7.2.33, 7.3.0 - 7.3.33
Fatal error: Declaration of Y::foo($a): B must be compatible with X::foo($a): A in /in/pG1lD on line 10
Process exited with code 255.
Output for 5.6.38
Parse error: syntax error, unexpected ':', expecting ';' or '{' in /in/pG1lD on line 7
Process exited with code 255.

preferences:
19.43 ms | 461 KiB | 5 Q